uniform vec2 resolution;
uniform vec2 camera_zoom;
uniform sampler2D texture;
void main( void ) {

	// float zoomfactor = pow(2.,camera_zoom.x);
	float zoomfactor = camera_zoom.y;

	float size_of_texture = 64.;

	vec2 position;
	vec2 tex_coord;

	// center texture
	tex_coord += vec2(.5,.5);

	// center texture to pixel 
	tex_coord += vec2(.5,-.5)/size_of_texture;



	// position on screen :
	position = zoomfactor*gl_FragCoord.xy;

	// center to screen :
	position += -zoomfactor*resolution*.5;

	// camera position :
	position += cameraPosition.xy;

	// scale :
	position /= size_of_texture;

	vec3 color = texture2D( texture, position + tex_coord).rgb;


	gl_FragColor=vec4(color,1);
}
